Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008015TestLinkTest Plan - Assign Test Case Executionpublic2017-07-11 08:432017-09-01 05:26
Reporterlinda.zondi 
Assigned Tofman 
PriorityhighSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.16 (2016 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0008015: Unable to execute test cases (PHP 7.1.x issue)
DescriptionI get an error every time I execute test cases. I installed xampp with Apache 2.4.25, MariaDB 10.1.24, PHP 7.1.6, phpMyAdmin 4.7.0, OpenSSL 1.0.2, XAMPP Control Panel 3.2.2,
Below is the error message.

"Fatal error: Uncaught Error: Cannot use string offset as an array in C:\xampp\htdocs\testlink\lib\execute\execSetResults.php:1533 Stack trace: #0 C:\xampp\htdocs\testlink\lib\execute\execSetResults.php(94): processTestCase(NULL, Object(stdClass), Object(stdClass), Object(stdClass), Array, Object(tree), Object(testcase), Object(tlAttachmentRepository)) #1 {main} thrown in C:\xampp\htdocs\testlink\lib\execute\execSetResults.php on line 1533"
TagsNo tags attached.
Database (MySQL,Postgres,etc)MariaDB 10.1.24
Browser
PHP Version7.1.x
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filesjpg file icon TestExecution.JPG [^] (135,025 bytes) 2017-07-11 08:43

- Relationships
has duplicate 0007987resolvedfman Execute test: cannot open test item, it shows as blank. (PHP 7.1.x ISSUE) 
has duplicate 0008036resolvedfman When trying to execute a test plan the steps are not displayed and no radio buttons (PHP 7.1.x version issue) 
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026579)
fman (administrator)
2017-07-11 10:36

Please get latest code from github, do fresh install, retest & provide feedback
(0026696)
fman (administrator)
2017-08-14 14:55

Issue happens with PHP 7.1.x

fixed on TestLink code on GitHub
Quick fix
edit file
C:\xampp\htdocs\testlink\lib\execute\execSetResults.php

and add before this loop:

  foreach($locationFilters as $locationKey => $filterValue)
  {

Following lines

  $finalFilters = array();
  $guiObj->design_time_cfields = array();


please provide feedback
(0026801)
fman (administrator)
2017-08-30 16:24

no more user feedback
(0026812)
Tana (reporter)
2017-09-01 04:43
edited on: 2017-09-01 05:26

sorry,i have a mistake ,there are 2 loop need to modify,
In 1533 and 1709 line
and now it worked ok


- Issue History
Date Modified Username Field Change
2017-07-11 08:43 linda.zondi New Issue
2017-07-11 08:43 linda.zondi File Added: TestExecution.JPG
2017-07-11 10:36 fman Note Added: 0026579
2017-08-14 14:55 fman Note Added: 0026696
2017-08-14 14:56 fman PHP Version => 7.1.x
2017-08-14 14:56 fman QA Team - Task Workflow Status => TBD
2017-08-14 14:56 fman Assigned To => fman
2017-08-14 14:56 fman Status new => feedback
2017-08-14 15:00 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-08-14 15:00 fman Summary Unable to execute test cases => Unable to execute test cases (PHP 7.1.x issue)
2017-08-14 15:00 fman Relationship added child of 0007817
2017-08-14 15:01 fman Relationship added related to 0007987
2017-08-14 15:01 fman Relationship replaced has duplicate 0007987
2017-08-14 15:29 fman Relationship added has duplicate 0008036
2017-08-30 16:24 fman Note Added: 0026801
2017-08-30 16:24 fman Status feedback => resolved
2017-08-30 16:24 fman Resolution open => fixed
2017-09-01 04:43 Tana Note Added: 0026812
2017-09-01 04:45 Tana Note Edited: 0026812 View Revisions
2017-09-01 05:25 Tana Note Edited: 0026812 View Revisions
2017-09-01 05:26 Tana Note Edited: 0026812 View Revisions



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker